App::ClusterSSH::Config(3)

NAME
ClusterSSH::Config - Object representing application configuration

SYNOPSIS

DESCRIPTION
Object representing application configuration

METHODS

$host=ClusterSSH::Config->new ({ })
    Create a new configuration object.

$config->parse_config_file('<filename>');
    Read in configuration from given filename

$config->validate_args();
    Validate and apply all configuration loaded at this point

$path = $config->search_dirs('<name>', @seaarch_directories);
    Search the given directories for the name given. Return undef if not found.

$path = $config->find_binary('<name>');
    Locate the binary <name> and return the full path. Doesn't just search $PATH in case the environment isn't set up correctly

$config->load_configs(@extra);
    Load up configuration from known locations (warn if .csshrc file found) and load in option files as necessary.

$config->write_user_config_file();
    Write out default $HOME/.clusterssh/config file (before option config files are loaded).

$config->dump()
    Write currently defined configuration to STDOUT

AUTHOR
Duncan Ferguson, "<duncan_j_ferguson at yahoo.co.uk>"

LICENSE AND COPYRIGHT
Copyright 1999-2016 Duncan Ferguson.

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.